diff --git a/src/main/java/net/minecraft/core/net/packet/AddItemEntityPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/packet/AddItemEntityPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
index 1a82688b0..585a4bf9d 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddItemEntityPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
@@ -7,7 +7,7 @@ import net.minecraft.core.util.helper.MathHelper;
 
 import java.io.*;
 
-public class AddItemEntityPacket extends Packet {
+public class PacketAddItemEntity extends Packet {
     public int entityId;
     public int xPosition;
     public int yPosition;
@@ -20,9 +20,9 @@ public class AddItemEntityPacket extends Packet {
     public int itemDamage;
     public CompoundTag tag;
 
-    public AddItemEntityPacket() {}
+    public PacketAddItemEntity() {}
 
-    public AddItemEntityPacket(EntityItem entityitem) {
+    public PacketAddItemEntity(EntityItem entityitem) {
         entityId = entityitem.id;
         itemID = entityitem.item.itemID;
         count = entityitem.item.stackSize;
diff --git a/src/main/java/net/minecraft/core/net/packet/AddMobPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/packet/AddMobPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
index 0201ce533..dd7696f53 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddMobPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
@@ -9,7 +9,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 import java.io.*;
 import java.util.List;
 
-public class AddMobPacket extends Packet
+public class PacketAddMob extends Packet
 {
     public int id;
     public short type;
@@ -23,11 +23,11 @@ public class AddMobPacket extends Packet
     public String nickname;
     public byte chatColor;
 
-    public AddMobPacket()
+    public PacketAddMob()
     {
     }
 
-    public AddMobPacket(Mob mob)
+    public PacketAddMob(Mob mob)
     {
         id = mob.id;
         type = (short) EntityDispatcher.numericIdForClass(mob.getClass());
diff --git a/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
index c7bf2744d..0cc408516 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
@@ -7,14 +7,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class AddPaintingPacket extends Packet
+public class PacketAddPainting extends Packet
 {
 
-    public AddPaintingPacket()
+    public PacketAddPainting()
     {
     }
 
-    public AddPaintingPacket(EntityPainting entitypainting)
+    public PacketAddPainting(EntityPainting entitypainting)
     {
         entityId = entitypainting.id;
         xPosition = entitypainting.blockX;
diff --git a/src/main/java/net/minecraft/core/net/packet/AddParticlePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddParticle.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/packet/AddParticlePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketAddParticle.java
index 914100b7c..5c1aa9150 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddParticlePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddParticle.java
@@ -6,7 +6,7 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class AddParticlePacket extends Packet{
+public class PacketAddParticle extends Packet{
     public String particleKey;
     public double x;
     public double y;
@@ -25,20 +25,20 @@ public class AddParticlePacket extends Packet{
     public float randMotionY;
     public float randMotionZ;
 
-    public AddParticlePacket(){
+    public PacketAddParticle(){
 
     }
-    public AddParticlePacket(String particleKey, double x, double y, double z,
+    public PacketAddParticle(String particleKey, double x, double y, double z,
                              double motionX, double motionY, double motionZ, int data){
         this(particleKey, x, y, z, motionX, motionY, motionZ, data, 16D);
     }
-    public AddParticlePacket(String particleKey, double x, double y, double z,
+    public PacketAddParticle(String particleKey, double x, double y, double z,
                              double motionX, double motionY, double motionZ, int data, double maxDistance){
         this(particleKey, x, y, z, motionX, motionY, motionZ, data,
                 maxDistance, (byte) -1, 0, 0, 0, 0, 0, 0);
 
     }
-    public AddParticlePacket(String particleKey, double x, double y, double z,
+    public PacketAddParticle(String particleKey, double x, double y, double z,
                              double motionX, double motionY, double motionZ,
                              int data, double maxDistance, byte amount, float randOffX,
                              float randOffY, float randOffZ, float randMotionX,
diff --git a/src/main/java/net/minecraft/core/net/packet/AddPlayerPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
similarity index 96%
rename from src/main/java/net/minecraft/core/net/packet/AddPlayerPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
index 38bf0a6a7..3b46a20ae 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddPlayerPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
@@ -10,14 +10,14 @@ import org.jetbrains.annotations.Nullable;
 import java.io.*;
 import java.util.UUID;
 
-public class AddPlayerPacket extends Packet
+public class PacketAddPlayer extends Packet
 {
 
-    public AddPlayerPacket()
+    public PacketAddPlayer()
     {
     }
 
-    public AddPlayerPacket(Player entityplayer)
+    public PacketAddPlayer(Player entityplayer)
     {
         entityId = entityplayer.id;
         name = entityplayer.username;
diff --git a/src/main/java/net/minecraft/core/net/packet/AnimatePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAnimate.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/AnimatePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketAnimate.java
index ab15256e4..bafad1fdf 100644
--- a/src/main/java/net/minecraft/core/net/packet/AnimatePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAnimate.java
@@ -5,14 +5,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class AnimatePacket extends Packet
+public class PacketAnimate extends Packet
 {
 
-    public AnimatePacket()
+    public PacketAnimate()
     {
     }
 
-    public AnimatePacket(Entity entity, int i)
+    public PacketAnimate(Entity entity, int i)
     {
         entityId = entity.id;
         animate = i;
diff --git a/src/main/java/net/minecraft/core/net/packet/BedMessagePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBedMessage.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/packet/BedMessagePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketBedMessage.java
index 45fbfecfc..ae0042483 100644
--- a/src/main/java/net/minecraft/core/net/packet/BedMessagePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBedMessage.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class BedMessagePacket extends Packet
+public class PacketBedMessage extends Packet
 {
 
-    public BedMessagePacket()
+    public PacketBedMessage()
     {
     }
     
-    public BedMessagePacket(int state)
+    public PacketBedMessage(int state)
     {
     	bedState = state;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/BlockEntityDataPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEntityData.java
similarity index 84%
rename from src/main/java/net/minecraft/core/net/packet/BlockEntityDataPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEntityData.java
index 9de957f3f..271cdc35a 100644
--- a/src/main/java/net/minecraft/core/net/packet/BlockEntityDataPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEntityData.java
@@ -6,17 +6,17 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class BlockEntityDataPacket
+public class PacketBlockEntityData
     extends Packet
 {
     public CompoundTag tag;
 
-    public BlockEntityDataPacket()
+    public PacketBlockEntityData()
     {
         isChunkDataPacket = true;
     }
 
-    public BlockEntityDataPacket(TileEntity tileEntity)
+    public PacketBlockEntityData(TileEntity tileEntity)
     {
         this();
 
@@ -24,7 +24,7 @@ public class BlockEntityDataPacket
         tileEntity.writeToNBT(tag);
     }
 
-    public BlockEntityDataPacket(CompoundTag tag) {
+    public PacketBlockEntityData(CompoundTag tag) {
         this.tag = tag;
     }
 
diff --git a/src/main/java/net/minecraft/core/net/packet/BlockEventPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEvent.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/packet/BlockEventPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEvent.java
index 13c76e2a5..182a0f0a8 100644
--- a/src/main/java/net/minecraft/core/net/packet/BlockEventPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEvent.java
@@ -4,7 +4,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class BlockEventPacket extends Packet
+public class PacketBlockEvent extends Packet
 {
     public int xLocation;
     public int yLocation;
@@ -12,11 +12,11 @@ public class BlockEventPacket extends Packet
     public int index;
     public int data;
 
-    public BlockEventPacket()
+    public PacketBlockEvent()
     {
     }
 
-    public BlockEventPacket(int x, int y, int z, int index, int data)
+    public PacketBlockEvent(int x, int y, int z, int index, int data)
     {
         xLocation = x;
         yLocation = y;
diff --git a/src/main/java/net/minecraft/core/net/packet/BlockRegionUpdatePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockRegionUpdate.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/packet/BlockRegionUpdatePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockRegionUpdate.java
index 913c4516e..f3690c8f9 100644
--- a/src/main/java/net/minecraft/core/net/packet/BlockRegionUpdatePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockRegionUpdate.java
@@ -8,15 +8,15 @@ import java.util.zip.DataFormatException;
 import java.util.zip.Deflater;
 import java.util.zip.Inflater;
 
-public class BlockRegionUpdatePacket extends Packet
+public class PacketBlockRegionUpdate extends Packet
 {
 
-    public BlockRegionUpdatePacket()
+    public PacketBlockRegionUpdate()
     {
         isChunkDataPacket = true;
     }
     
-    public BlockRegionUpdatePacket(int xPosition, int yPosition, int zPosition, int xSize, int ySize, int zSize, World world)
+    public PacketBlockRegionUpdate(int xPosition, int yPosition, int zPosition, int xSize, int ySize, int zSize, World world)
     {
         isChunkDataPacket = true;
 
diff --git a/src/main/java/net/minecraft/core/net/packet/BlockUpdatePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockUpdate.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/packet/BlockUpdatePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockUpdate.java
index 467672504..eb773a0e0 100644
--- a/src/main/java/net/minecraft/core/net/packet/BlockUpdatePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockUpdate.java
@@ -5,7 +5,7 @@ import net.minecraft.core.world.World;
 
 import java.io.*;
 
-public class BlockUpdatePacket extends Packet
+public class PacketBlockUpdate extends Packet
 {
     public int xPosition;
     public int yPosition;
@@ -14,12 +14,12 @@ public class BlockUpdatePacket extends Packet
     public int metadata;
 
 
-    public BlockUpdatePacket()
+    public PacketBlockUpdate()
     {
         isChunkDataPacket = true;
     }
 
-    public BlockUpdatePacket(int x, int y, int z, World world)
+    public PacketBlockUpdate(int x, int y, int z, World world)
     {
         isChunkDataPacket = true;
         xPosition = x;
diff --git a/src/main/java/net/minecraft/core/net/packet/BoatControlPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBoatControl.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/packet/BoatControlPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketBoatControl.java
index 0e4762e4a..ae29725cb 100644
--- a/src/main/java/net/minecraft/core/net/packet/BoatControlPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBoatControl.java
@@ -7,13 +7,13 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class BoatControlPacket extends Packet{
+public class PacketBoatControl extends Packet{
     public int entityId;
     public float targetXD;
     public float targetZD;
     public float targetYRot;
-    public BoatControlPacket(){}
-    public BoatControlPacket(Entity entity){
+    public PacketBoatControl(){}
+    public PacketBoatControl(Entity entity){
         entityId = entity.id;
         targetXD = (float) entity.xd;
         targetZD = (float) entity.zd;
diff --git a/src/main/java/net/minecraft/core/net/packet/ChatPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChat.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/packet/ChatPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketChat.java
index ad9490cbe..42501348c 100644
--- a/src/main/java/net/minecraft/core/net/packet/ChatPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChat.java
@@ -6,7 +6,7 @@ import net.minecraft.core.util.helper.AES;
 import java.io.*;
 import java.security.Key;
 
-public class ChatPacket extends Packet {
+public class PacketChat extends Packet {
 	
 	public static final String ENCRYPTION_ERROR_MESSAGE = "This crash is caused by outdated Java, please update to 8u161 or newer! If your Java version is out of date due to a technical requirement, please add the JCE Unlimited Strength Jurisdiction Policy Files to your installation. https://www.oracle.com/java/technologies/javase-jce-all-downloads.html";
 	
@@ -14,19 +14,19 @@ public class ChatPacket extends Packet {
 	public int type;
 	public boolean encrypted;
 
-	public ChatPacket() {
+	public PacketChat() {
 		
 	}
 
-	public ChatPacket(String string) {
+	public PacketChat(String string) {
 		this(string, 0, null);
 	}
 
-	public ChatPacket(String string, Key key) {
+	public PacketChat(String string, Key key) {
 		this(string, 0, key);
 	}
 	
-	public ChatPacket(String string, int type, Key key) {
+	public PacketChat(String string, int type, Key key) {
 		if(string.length() > 512) {
 			string = string.substring(0, 512);
 		}
diff --git a/src/main/java/net/minecraft/core/net/packet/ChunkBlocksUpdatePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkBlocksUpdate.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/packet/ChunkBlocksUpdatePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkBlocksUpdate.java
index cba18abd2..b01712ca1 100644
--- a/src/main/java/net/minecraft/core/net/packet/ChunkBlocksUpdatePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkBlocksUpdate.java
@@ -6,15 +6,15 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class ChunkBlocksUpdatePacket extends Packet
+public class PacketChunkBlocksUpdate extends Packet
 {
 
-    public ChunkBlocksUpdatePacket()
+    public PacketChunkBlocksUpdate()
     {
         isChunkDataPacket = true;
     }
     
-    public ChunkBlocksUpdatePacket(int xChunk, int zChunk, int[] blocksToUpdate, int numBlocksToUpdate, World world)
+    public PacketChunkBlocksUpdate(int xChunk, int zChunk, int[] blocksToUpdate, int numBlocksToUpdate, World world)
     {
         isChunkDataPacket = true;
         this.xChunk = xChunk;
diff --git a/src/main/java/net/minecraft/core/net/packet/ChunkVisibilityPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkVisibility.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/ChunkVisibilityPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkVisibility.java
index a853526a2..fd32cdd10 100644
--- a/src/main/java/net/minecraft/core/net/packet/ChunkVisibilityPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChunkVisibility.java
@@ -4,18 +4,18 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class ChunkVisibilityPacket extends Packet
+public class PacketChunkVisibility extends Packet
 {
     public int chunkX;
     public int chunkZ;
     public boolean playerAdded;
 
-    public ChunkVisibilityPacket()
+    public PacketChunkVisibility()
     {
         isChunkDataPacket = false;
     }
     
-    public ChunkVisibilityPacket(int chunkX, int chunkZ, boolean playerAdded)
+    public PacketChunkVisibility(int chunkX, int chunkZ, boolean playerAdded)
     {
         isChunkDataPacket = false;
         this.chunkX = chunkX;
diff --git a/src/main/java/net/minecraft/core/net/packet/CommandManagerPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketCommandManager.java
similarity index 98%
rename from src/main/java/net/minecraft/core/net/packet/CommandManagerPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketCommandManager.java
index 5046af2d5..c705faa82 100644
--- a/src/main/java/net/minecraft/core/net/packet/CommandManagerPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketCommandManager.java
@@ -27,7 +27,7 @@ import java.io.IOException;
 import java.util.*;
 import java.util.concurrent.CompletableFuture;
 
-public class CommandManagerPacket extends Packet {
+public class PacketCommandManager extends Packet {
     private CommandDispatcher<CommandSource> dispatcher;
     private CommandSource source;
     private String text;
@@ -35,14 +35,14 @@ public class CommandManagerPacket extends Packet {
 
     public JsonObject suggestions;
 
-    public CommandManagerPacket(CommandDispatcher<CommandSource> dispatcher, CommandSource source, String text, int cursor) {
+    public PacketCommandManager(CommandDispatcher<CommandSource> dispatcher, CommandSource source, String text, int cursor) {
         this.dispatcher = dispatcher;
         this.source = source;
         this.text = text;
         this.cursor = cursor;
     }
 
-    public CommandManagerPacket() {
+    public PacketCommandManager() {
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerAckPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerAck.java
similarity index 87%
rename from src/main/java/net/minecraft/core/net/packet/ContainerAckPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerAck.java
index 3c54938e0..1b8ee3986 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerAckPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerAck.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class ContainerAckPacket extends Packet
+public class PacketContainerAck extends Packet
 {
 
-    public ContainerAckPacket()
+    public PacketContainerAck()
     {
     }
 
-    public ContainerAckPacket(int windowId, short shortWindowId, boolean accepted)
+    public PacketContainerAck(int windowId, short shortWindowId, boolean accepted)
     {
         this.windowId = windowId;
         this.shortWindowId = shortWindowId;
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerClickPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClick.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/packet/ContainerClickPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClick.java
index 83ba8e7ff..01f6267c1 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerClickPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClick.java
@@ -6,12 +6,12 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class ContainerClickPacket extends Packet {
+public class PacketContainerClick extends Packet {
 
-	public ContainerClickPacket() {
+	public PacketContainerClick() {
 	}
 
-	public ContainerClickPacket(int windowId, InventoryAction action, int[] args, ItemStack itemstack, short actionId) {
+	public PacketContainerClick(int windowId, InventoryAction action, int[] args, ItemStack itemstack, short actionId) {
 		this.window_Id = windowId;
 		this.action = action;
 		this.args = args;
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerClosePacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClose.java
similarity index 84%
rename from src/main/java/net/minecraft/core/net/packet/ContainerClosePacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClose.java
index 0a7177f9b..051fe3795 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerClosePacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerClose.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class ContainerClosePacket extends Packet
+public class PacketContainerClose extends Packet
 {
 
-    public ContainerClosePacket()
+    public PacketContainerClose()
     {
     }
 
-    public ContainerClosePacket(int i)
+    public PacketContainerClose(int i)
     {
         windowId = i;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerOpen.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerOpen.java
index 7d93ab1eb..e3edd7dd7 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerOpen.java
@@ -4,7 +4,7 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class ContainerOpenPacket extends Packet
+public class PacketContainerOpen extends Packet
 {
     public static final int TYPE_GENERIC_CONTAINER = 0;
     public static final int TYPE_CRAFTING = 1;
@@ -20,11 +20,11 @@ public class ContainerOpenPacket extends Packet
     public String windowTitle;
     public int slotsCount;
 
-    public ContainerOpenPacket()
+    public PacketContainerOpen()
     {
     }
     
-    public ContainerOpenPacket(int windowId, int inventoryType, String windowTitle, int slotCount)
+    public PacketContainerOpen(int windowId, int inventoryType, String windowTitle, int slotCount)
     {
         assert windowId <= Byte.MAX_VALUE : "Window Id > 127 won't serialize properly";
         assert inventoryType <= Byte.MAX_VALUE : "Inventory Type > 127 won't serialize properly";
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerSetContentPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
similarity index 93%
rename from src/main/java/net/minecraft/core/net/packet/ContainerSetContentPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
index eea501c1d..82870c956 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerSetContentPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
@@ -7,17 +7,17 @@ import net.minecraft.core.net.handler.PacketHandler;
 import java.io.*;
 import java.util.List;
 
-public class ContainerSetContentPacket extends Packet
+public class PacketContainerSetContent extends Packet
 {
     public int windowId;
     public ItemStack[] stackList;
 
 
-    public ContainerSetContentPacket()
+    public PacketContainerSetContent()
     {
     }
 
-    public ContainerSetContentPacket(int i, List<ItemStack> list)
+    public PacketContainerSetContent(int i, List<ItemStack> list)
     {
         windowId = i;
         stackList = new ItemStack[list.size()];
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerSetDataPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetData.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/packet/ContainerSetDataPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetData.java
index b96ad1082..eb223f9eb 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerSetDataPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetData.java
@@ -4,14 +4,14 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class ContainerSetDataPacket extends Packet
+public class PacketContainerSetData extends Packet
 {
 
-    public ContainerSetDataPacket()
+    public PacketContainerSetData()
     {
     }
 
-    public ContainerSetDataPacket(int windowId, int progressBar, int progressBarValue)
+    public PacketContainerSetData(int windowId, int progressBar, int progressBarValue)
     {
         this.windowId = windowId;
         this.progressBar = progressBar;
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerSetSlotPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/packet/ContainerSetSlotPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
index 3c6d3b013..3f8590dcd 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerSetSlotPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
@@ -6,10 +6,10 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class ContainerSetSlotPacket extends Packet
+public class PacketContainerSetSlot extends Packet
 {
 
-    public ContainerSetSlotPacket()
+    public PacketContainerSetSlot()
     {
     }
 
@@ -19,7 +19,7 @@ public class ContainerSetSlotPacket extends Packet
         packetHandler.handleSetSlot(this);
     }
     
-    public ContainerSetSlotPacket(int i, int j, ItemStack itemstack)
+    public PacketContainerSetSlot(int i, int j, ItemStack itemstack)
     {
         windowId = i;
         itemSlot = j;
diff --git a/src/main/java/net/minecraft/core/net/packet/CustomPayloadPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketCustomPayload.java
similarity index 89%
rename from src/main/java/net/minecraft/core/net/packet/CustomPayloadPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketCustomPayload.java
index 1834a6d4b..f69822da2 100644
--- a/src/main/java/net/minecraft/core/net/packet/CustomPayloadPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketCustomPayload.java
@@ -6,17 +6,17 @@ import java.io.IOException;
 
 import net.minecraft.core.net.handler.PacketHandler;
 
-public class CustomPayloadPacket extends Packet {
+public class PacketCustomPayload extends Packet {
 	public static final int MAX_CHANNEL_SIZE = 128;
 
 	public String channel;
 	public byte[] data;
 	
-	public CustomPayloadPacket() {
+	public PacketCustomPayload() {
 		
 	}
 	
-	public CustomPayloadPacket(String channel, byte[] data) {
+	public PacketCustomPayload(String channel, byte[] data) {
 		this.channel = channel;
 		
 		if(data != null) {
diff --git a/src/main/java/net/minecraft/core/net/packet/DisconnectPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
similarity index 83%
rename from src/main/java/net/minecraft/core/net/packet/DisconnectPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
index 17b81d8a5..5ce9975bd 100644
--- a/src/main/java/net/minecraft/core/net/packet/DisconnectPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
@@ -4,19 +4,19 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class DisconnectPacket extends Packet
+public class PacketDisconnect extends Packet
 {
 
-    public DisconnectPacket()
+    public PacketDisconnect()
     {
     }
 
-    public DisconnectPacket(String s)
+    public PacketDisconnect(String s)
     {
         this(s, null);
     }
 
-    public DisconnectPacket(String s, byte[] image)
+    public PacketDisconnect(String s, byte[] image)
     {
         reason = s;
         this.image = image;
diff --git a/src/main/java/net/minecraft/core/net/packet/EnitityEventPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityEvent.java
similarity index 82%
rename from src/main/java/net/minecraft/core/net/packet/EnitityEventPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityEvent.java
index 50f9070d9..47a420691 100644
--- a/src/main/java/net/minecraft/core/net/packet/EnitityEventPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityEvent.java
@@ -4,21 +4,21 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-public class EnitityEventPacket extends Packet
+public class PacketEntityEvent extends Packet
 {
 
-    public EnitityEventPacket()
+    public PacketEntityEvent()
     {
     }
     
-    public EnitityEventPacket(int entityId, byte entityStatus)
+    public PacketEntityEvent(int entityId, byte entityStatus)
     {
         this.entityId = entityId;
         this.entityStatus = entityStatus;
         attackedAtYaw = 0;
     }
 
-    public EnitityEventPacket(int entityId, byte entityStatus, float attackedAtYaw)
+    public PacketEntityEvent(int entityId, byte entityStatus, float attackedAtYaw)
     {
         this.entityId = entityId;
         this.entityStatus = entityStatus;
